Bug 339591 - gconftool-2 hangs in glibc init_cacheinfo()
gconftool-2 hangs in glibc init_cacheinfo()
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 08:01 EDT by Davide Rossetti
Modified: 2008-06-16 22:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:41:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmidecode for DELL Optiplex GX620 BIOS rev.A11 (17.03 KB, text/plain)
2007-10-24 12:15 EDT, Davide Rossetti
no flags Details

  None (edit)
Description Davide Rossetti 2007-10-19 08:01:35 EDT
Description of problem:
pidgin spawns gconftool-2
        |-pidgin(12546)-+-gconftool-2(16174)
        |               |-{pidgin}(12547)
        |               |-{pidgin}(13206)
        |               `-{pidgin}(13209)

>ps auxwww|fgrep gconftool
rossetti 16174 48.9  0.0  31892   700 ?        T    12:49  31:30 gconftool-2 -g
/system/proxy/mode

gconftool-2 hangs in init_cacheinfo()

(gdb) bt
#0  0x000000311147d323 in init_cacheinfo () at ../sysdeps/x86_64/cacheinfo.c:402
#1  0x000000311141d8e6 in __libc_global_ctors () at soinit.c:20
#2  0x000000311100d11b in call_init (l=0x2aaaaaad6118, argc=3,
argv=0x7fffd31269e8, env=0x7fffd3126a08) at dl-init.c:70
#3  0x000000311100d225 in _dl_init (main_map=0x2aaaaaaab000, argc=3,
argv=0x7fffd31269e8, env=0x7fffd3126a08) at dl-init.c:134
#4  0x0000003111000a9a in _dl_start_user () at rtld.c:783
#5  0x0000000000000003 in ?? ()
#6  0x00007fffd3127b3a in ?? ()
#7  0x00007fffd3127b46 in ?? ()
#8  0x00007fffd3127b49 in ?? ()
#9  0x0000000000000000 in ?? ()
(gdb) list
397               int i = 0;
398
399               /* Query until desired cache level is enumerated. */
400               do
401                 {
402                   asm volatile ("cpuid"
403                                 : "=a" (eax), "=b" (ebx), "=c" (ecx), "=d" (edx)
404                                 : "0" (4), "2" (i++));
405                 }
406               while (((eax >> 5) & 0x7) != level);


Version-Release number of selected component (if applicable):
glibc-common-2.6-4.x86_64
GConf2-debuginfo-2.18.0.1-2.fc7.x86_64
pidgin-2.2.1-1.fc7.x86_64
glibc-2.6-4.x86_64
glibc-headers-2.6-4.x86_64
GConf2-2.18.0.1-2.fc7.x86_64
glibc-devel-2.6-4.x86_64
glibc-debuginfo-2.6-4.x86_64

How reproducible:
most probably use pidgin to access a Google talk account

Steps to Reproduce:
1.start pidgin
2.wait some minutes/hours
3.load average goes 100%, gconftool-2 hangs
  
Actual results:
gconftool-2 hangs

Expected results:
no gconftool-2 hanging

Additional info:
Fedora 7 fully updated
current kernel is davej 2.6.23.1-4.fc7

>uname -a 
Linux hokusai.ape 2.6.23.1-4.fc7 #1 SMP Fri Oct 12 21:07:27 EDT 2007 x86_64
x86_64 x86_64 GNU/Linux

platfom is x86_64 (Dell Optiplex GX620) dual core PentiumD

processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 4
model name      :               Intel(R) Pentium(R) D CPU 3.00GHz
stepping        : 4
cpu MHz         : 2800.000
cache size      : 1024 KB
fpu             : yes
fpu_exception   : yes
cpuid level     : 3
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm
constant_tsc pebs bts sync_rdtsc pni monitor ds_cpl est cid cx16 xtpr
bogomips        : 5989.29
clflush size    : 64
cache_alignment : 128
address sizes   : 36 bits physical, 48 bits virtual
power management:
Comment 1 Jakub Jelinek 2007-10-19 08:15:16 EDT
Most likely you have buggy BIOS.  See #324081.
Comment 2 Davide Rossetti 2007-10-23 12:00:28 EDT
this is what I get with latest DELL BIOS A11:

>for i in $(seq 10); do echo "trie $i"; ./cacheinfo;done
trie 1
shared 1048576 level 2 max_cpuid 3
trie 2
shared 1048576 level 2 max_cpuid 3
trie 3
shared 1048576 level 2 max_cpuid 5
cpuid (4, 0) = 04000121
cpuid (4, 1) = 04000143
trie 4
shared 1048576 level 2 max_cpuid 5
cpuid (4, 0) = 04000121
cpuid (4, 1) = 04000143
trie 5
shared 1048576 level 2 max_cpuid 5
cpuid (4, 0) = 04000121
cpuid (4, 1) = 04000143
trie 6
shared 1048576 level 2 max_cpuid 3
trie 7
shared 1048576 level 2 max_cpuid 5
cpuid (4, 0) = 04000121
cpuid (4, 1) = 04000143
trie 8
shared 1048576 level 2 max_cpuid 5
cpuid (4, 0) = 04000121
cpuid (4, 1) = 04000143
trie 9
shared 1048576 level 2 max_cpuid 5
cpuid (4, 0) = 04000121
cpuid (4, 1) = 04000143
trie 10
shared 1048576 level 2 max_cpuid 5
cpuid (4, 0) = 04000121
cpuid (4, 1) = 04000143
Comment 3 Davide Rossetti 2007-10-23 12:02:49 EDT
this is with Dell BIOS rev A11, which seems to have made things worst

>cat /proc/cpuinfo 
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 4
model name      :               Intel(R) Pentium(R) D CPU 3.00GHz
stepping        : 4
cpu MHz         : 2800.000
cache size      : 1024 KB
fpu             : yes
fpu_exception   : yes
cpuid level     : 3
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm
constant_tsc pebs bts sync_rdtsc pni monitor ds_cpl est cid cx16 xtpr
bogomips        : 5989.25
clflush size    : 64
cache_alignment : 128
address sizes   : 36 bits physical, 48 bits virtual
power management:

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 15
model           : 4
model name      :               Intel(R) Pentium(R) D CPU 3.00GHz
stepping        : 4
cpu MHz         : 2800.000
cache size      : 1024 KB
physical id     : 0
siblings        : 2
core id         : 1
cpu cores       : 2
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm
constant_tsc pebs bts sync_rdtsc pni monitor ds_cpl est cid cx16 xtpr
bogomips        : 5985.42
clflush size    : 64
cache_alignment : 128
address sizes   : 36 bits physical, 48 bits virtual
power management:
Comment 4 Davide Rossetti 2007-10-23 12:11:08 EDT
dear jakub, may I pick rawhide glibc for testing ? on F7 I mean ??

Comment 5 H.J. Lu 2007-10-24 09:55:48 EDT
Can you provide the output of dmidecode?
Comment 6 Davide Rossetti 2007-10-24 12:15:41 EDT
Created attachment 236351 [details]
dmidecode for DELL Optiplex GX620 BIOS rev.A11
Comment 7 H.J. Lu 2007-10-24 12:31:27 EDT
I suspect the BIOS is broken. Can you try older BIOS?
Comment 8 Bug Zapper 2008-05-14 10:47:39 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2008-06-16 22:41:40 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.